Bug 1421295 - Unable to deploy due to incorrect file permissions
Summary: Unable to deploy due to incorrect file permissions
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Deployments
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Michal Fojtik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 22:26 UTC by otso
Modified: 2018-03-22 22:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-22 22:49:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description otso 2017-02-10 22:26:38 UTC
Description of problem:

Unable to deploy via "git push" as the deployment fails due to missing file permissions.

How reproducible:

Always and currently in my application.

Steps to Reproduce:
1. Run "git push origin" (origin is the OpenShift endpoint) 

Actual results:

Deployment fails.

Expected results:

Deployment is possible.

Additional info:

Below the manual deploy trace via SSH:

$ gear --trace deploy master 
Stopping Python 2.7 cartridge 
Postgres already stopped 
Stopping Cron cartridge 
CLIENT_RESULT: cron scheduling service is already disabled for gear <APP_IN_QUESTION> 
Operation not permitted - /var/lib/openshift/<APP_IN_QUESTION>/app-deployments/2016-12-02_14-11-52.127/dependencies/python/virtenv/src/django-yarr-master/yarr/__pycache__ 
/opt/rh/ruby193/root/usr/share/ruby/fileutils.rb:1331:in `chown' 
/opt/rh/ruby193/root/usr/share/ruby/fileutils.rb:1331:in `chown' 
/opt/rh/ruby193/root/usr/share/ruby/fileutils.rb:1062:in `block (2 levels) in chown_R' 
/opt/rh/ruby193/root/usr/share/ruby/fileutils.rb:1433:in `preorder_traverse' 
/opt/rh/ruby193/root/usr/share/ruby/fileutils.rb:1060:in `block in chown_R' 
/opt/rh/ruby193/root/usr/share/ruby/fileutils.rb:1059:in `each' 
/opt/rh/ruby193/root/usr/share/ruby/fileutils.rb:1059:in `chown_R' 
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-common-1.29.4/lib/openshift-origin-common/utils/path_utils.rb:52:in `oo_chown_R' 
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-container-selinux-0.10.2/lib/openshift/runtime/containerization/selinux_container.rb:399:in `set_rw_permission_R' 
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.38.7/lib/openshift-origin-node/model/application_container.rb:848:in `set_rw_permission_R' 
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.38.7/lib/openshift-origin-node/model/application_container_ext/deployments.rb:116:in `check_deployments_integrity' 
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.38.7/lib/openshift-origin-node/model/application_container_ext/cartridge_actions.rb:379:in `pre_receive' 
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.38.7/lib/openshift-origin-node/model/application_container_ext/cartridge_actions.rb:1034:in `deploy' 
/usr/bin/gear:436:in `block (3 levels) in <main>' <br>/usr/bin/gear:75:in `do_command' <br>/usr/bin/gear:423:in `block (2 levels) in &lt;main&gt;' &lt;br&gt;/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:180:in `call' &lt;br&gt;/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:180:in `call' &lt;br&gt;/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:155:in `run' &lt;br&gt;/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/runner.rb:385:in `run_active_command' &lt;br&gt;/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/runner.rb:74:in `run!' &lt;br&gt;/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/delegates.rb:11:in `run!' &lt;br&gt;/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/import.rb:10:in `block in &amp;lt;top&amp;gt;' &amp;lt;br&amp;gt;<APP_IN_QUESTION>\&amp;amp;gt; &amp;lt;/top&amp;gt;&lt;/main&gt;</main>

Comment 1 Abhishek Gupta 2018-03-22 22:49:49 UTC
Apologies for not responding to this bug earlier. At this point our V2 platform has been discontinued (EoL) and I would encourage you to look at our V3 Online platform.

Plan comparison: https://www.openshift.com/pricing/index.html
Plan registration: https://manage.openshift.com/


Note You need to log in before you can comment on or make changes to this bug.